# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import typing_extensions
from .media_type import MediaType
from ..core.serialization import FieldMetadata
import pydantic
import typing
from .action import Action
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class MediaRcsMessage(UniversalBaseModel):
    """
    The content of the message
    """

    media_type: typing_extensions.Annotated[MediaType, FieldMetadata(alias="mediaType")]
    media_url: typing_extensions.Annotated[str, FieldMetadata(alias="mediaUrl")] = pydantic.Field()
    """
    The URL of the media being sent
    """

    quick_replies: typing.Optional[typing.List[Action]] = pydantic.Field(default=None)
    """
    Array of quick replies attached to the media. Maximum of 11 quick replies.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
